# ChangeLog

5.1.047: Unify Linux Cloud / Client into one repository via CMake.

5.1.047: Switch build system from autotools to CMake.

5.1.046: Keep font consistent on press Enter in USFM editor.

5.1.046: Android: Fix crash on app switch.

5.1.045: Android: Handle insets for edge-to-edge display on Android 15 and higher.

5.1.044: Fixed message on ChromeOS: This app is designed for mobile.

5.1.043: Upgrade handling back gesture in Bibledit Android.

5.1.043: Can download files in Bibledit Android.

5.1.043: Saves preferences for allowed changes in Bible editors again.

5.1.042: Email body line length follow RFC 5322.

5.1.042: Fixed: Disabled style button cripples the Bible editors.

5.1.041: Email headers To and From follow internet standards better.

5.1.041: Fixed: Verse editor editable area not centering vertically on Android.

5.1.040: Fix and improve the Consistency Tool.

5.1.040: Rewrite Android app in Kotlin.

5.1.039: More robust resource fetching.

5.1.038: Asks to confirm deleting a user.

5.1.037: More robust resource fetching.

5.1.037: The Bible demo regularly cleans up the workspaces.

5.1.037: More detailed logging of Bibledit client connection issues.

5.1.036: The Windows app gets built through Visual Studio 2026.

5.1.036: Bible editors, Resources, Workspaces support focus groups.

5.1.035: No longer uses jQuery -> improves performance.

5.1.034: Fixed: Inserting a footnote in italic text removes the space after the footnote.

5.1.034: Fixed: Selecting another Bible in the chapter editor does not load that other Bible.

5.1.034: Fix for very long resource selection page.

5.1.032: Resource selection is done in one large page.

5.1.032: Can edit and remove workspace with backslashes in its name.

5.1.032: Select consultation notes on multiple statuses.

5.1.031: Can no longer print resources.

5.1.031: Enable possible embedding in NextCloud.

5.1.031: Fixes scraper for Elberfelder Bibel.

5.1.031: Supports the soft hyphen by converting the double forward slash ( // ) to that on export.

5.1.031: Supports the non-breaking space by converting the tilde ( ~ ) to that on export.

5.1.031: Can reset a style in the stylesheet editor.

5.1.031: The image resources were removed as too specific for a lean Bible translator system.

5.1.030: On systems usually without a touch screen the navigation arrows show by default.

5.1.030: Remove the hyphenation tool.

5.1.030: Can create USFM3 markers that span columns in tables.

5.1.030: Can delete checking results by group.

5.1.030: Can delete all checking results at once.

5.1.028: Update resource downloader to match the new NET Bible data format.

5.1.028: Setting for showing navigation arrows to book and chapter and verse.

5.1.028: Typing text in verse editor in chapter 0 has improved a bit.

5.1.027: The Bible editors refuse to save chapter data with incorrect chapter markup.

5.1.026: The visual editors no longer add closing markup like \xt when not needed.

5.1.026: The visual editors handle standard and custom milestones in USFM better.

5.1.026: Proper whitespace normalization on USFM import.

5.1.026: Proper application and removal of embedded character styles.

5.1.026: Show the character style again in the Bible editors.

5.1.025: List deprecated USFM markers in the info document.

5.1.025: Support for USFM marker \pr Right aligned paragraph.

5.1.024: Fetches Studylight content securely.

5.1.024: Support for the \ie and \usfm markup.

5.1.024: Better support for the \ca markup.

5.1.023: If a Bible is specified in a workspace, activating that workspace sets the first Bible in that workspace as the active Bible.

5.1.023: The verse editor preview sets the active Bible to the Bible loaded in that editor.

5.1.023: The editor switcher in the Bible editors sets the active Bible to the Bible loaded in the editor.

5.1.023: Embed the gumbo-parser code.

5.1.023: Bibledit for iOS can download and share exports.

5.1.022: Native Bibledit for Windows ARM for better performance and battery life.

5.1.022: Install steps for the Cloud on more Linux distros.

5.1.022: The word-level attributes are editable in all three Bible editors.

5.1.022: The word-level attributes are no longer visible in the verse editor and the chapter editor.

5.1.022: Safer calls of commandline tools.

5.1.021: Support importing multiple files in one go into a Bible.

5.1.021: Support change notifications for Bibles with one or more dots in their name.

5.1.021: Bibledit for iOS is now written in Swift.

5.1.021: Displays Hebrew cantillation and vowels, Greek accents, Arabic vowels and shaping, in the SWORD resources.

5.1.021: Fixed: Fails to navigate through exports on Windows.

5.1.020: Bibledit for Windows moved from the CEF Sharp to the Microsoft Webview2 embedded web browser.

5.1.020: Fix NET Bible error "You have been blocked".

5.1.019: Fix errors when multiple processes generate change notifications simultaneously.

5.1.019: Logs every Bible/book/chapter when processing user-generated change notifications.

5.1.019: No more send/receive lockups due to plenty of emails to be sent off.

5.1.019: Cloud logs and removes a consultation note without a passage.

5.1.019: Disable std::filesystem on Cloud and Linux because of erratic behaviour.

5.1.018: Bibledit for Windows is built through Visual Studio 2022 on Windows 11.

5.1.017: Submit Bible to the Bible Dropbox manually only.

5.1.016: Upgrade to MbedTLS 3.6.

5.1.013: Can enable or disable spell check in Bible editors.

5.1.013: Fix broken Javascript in rare cases, fixing a broken verse editor.

5.1.012: Logs the correct client IP address instead of 0.0.0.0.

5.1.012: Bibledit for macOS again can open a file from a page.

5.1.012: Bibledit for macOS again can search text on a page.

5.1.012: Bibledit for macOS again can print a page.

5.1.012: Log the remote IP address that causes TLS errors.

5.1.012: Localize the recently used styles.

5.1.011: Put file "create-no-accounts" in the "config" folder to disable user account creation in Bibledit Cloud.

5.1.010: The macOS app is now written in Swift.

5.1.010: The macOS app now uses the newer WebKit View.

5.1.010: Can remove a Bible with trailing spaces in its name.

5.1.010: Support for USFM marker \sup for superscript text.

5.1.009: Downloading exports in the Windows app works again.

5.1.009: Finding text in the Windows app user interface works again.

5.1.007: Outputs a blank line for the \b style for Web export.

5.1.007: Outputs the chapter number also for one-chapter books.

5.1.006: The start of a line of poetry no longer overlaps a chapter number in drop caps in web export.

5.1.003: Marks USFM table cells with a vertical bar in the Bible editors.

5.1.002: Can display the OSIS tags, like Strong's numbers, in the SWORD resources.

5.1.002: Support for the new Studylight website so it displays the Studylight resources again.

5.0.997: Fixed: The French user interface gives Javascript errors in the Bible editors.

5.0.996: If the secure webserver is not running in Bibledit Cloud, then it never automatically forwards from plain http to the secure https, even if this automatic forwarding setting is on.

5.0.994: Being able to set a stylesheet for a Bible is now a privilege that can be assigned to roles lower than a manager.

5.0.993: Displays the Easy English Bible Commentary lots better.

5.0.992: Embedded libtidy fixes crash in the system-provided libtidy.

5.0.991: Temporal work-around for crash in the libtidy HTML/XML syntax checker and reformatter: No longer displays the Easy English Bible Commentary well.

5.0.990: Space below the focused verse in the verse editor now has no visible height anymore.

5.0.989: Fix memory leaks while getting some types of resources.

5.0.989: Clarify code 426 in the Journal to mean that the client should upgrade to https when connecting to the Cloud.

5.0.989: Can create a Translated resource based on a Bible Gateway resource.

5.0.988: Can set the paragraph style for the \fig marker for Bible figures.

5.0.988: Clearer error message when access to Google Translate has not yet been set up.

5.0.988: Client downloads list of comparative resources from Cloud and can select from those.

5.0.988: Better checking on internet address, port number, and credentials, when connecting to the Cloud.

5.0.987: The number prefixed to the filenames of the exported books of a Bible now depends on the book order set for that Bible.

5.0.987: Logs problems with the https certificate for the embedded server.

5.0.986: Disable autocorrect and autocapitalize for username and search entries.

5.0.985: Can define a "Translated resource". This translates a resource through Google Translate.

5.0.984: Fixed: Bible editors did not use the selected font.

5.0.984: Sub-pages from Settings in basic mode have a back arrow to return to the Settings.

5.0.984: Can select active Bible on search pages.

5.0.984: Removes word-level attributes in the editor preview.

5.0.984: Removes word-level attributes when exporting a Bible.

5.0.983: Provide passage for Accordance only after setup is complete.

5.0.982: Bibledit on macOS failed to work from the App Store. It can now be downloaded from GitHub instead.

5.0.981: On Android it can download exported Bibles again without crashing.

5.0.981: Can set from which Bibles to get the change notifications.

5.0.980: Can copy data from Bibledit to Paratext and vice versa.

5.0.980: Fixed: Bibledit for macOS did not download exported files.

5.0.980: Bibledit for Windows downloads exported USFM files, instead of viewing them.

5.0.980: Fixed: Prints only the first page of the search results.

5.0.980: Can read and set numeric value of color of a style in the styles editor.

5.0.980: The Bible editor preview scrolls to the focused verse.

5.0.979: Fixed: Clicking the button to create a note several times results in multiple identical notes.

5.0.979: Can set the date format in consultation notes.

5.0.979: Can set automatic note citations in export to OpenDocument.

5.0.979: Note citations in Bible editor follow settings in stylesheet.

5.0.979: Check on space before final note or cross reference markup.

5.0.979: Advanced search results can be limited to Old or New Testament books.

5.0.978: Fixed: Rich divider cannot go to website at link within workspace.

5.0.978: Fixed: Cannot view exported files.

5.0.977: Can only do zipped exports on the Cloud edition.

5.0.977: Better placement of cursor after pasting text in the notes editor.

5.0.976: Larger emails with change notificatons are split up in smaller parts.

5.0.972: Better handling of pasted text in the Bible editors.

5.0.971: The three Bible editors collapse multiple spaces into one space.

5.0.966: Includes the Easy English Bible Commentary as a resource.

5.0.966: Does not cache resources during Cloudflare DDoS protection.

5.0.966: Fix editable clipboard in the Bible editors.

5.0.965: Well-formed USFM check on note or cross reference without content.

5.0.964: Well-formed USFM check on opening markup followed by closing markup without text.

5.0.964: Fixed: Clicking a passage in a checking result goes to the beginning of the Bible.

5.0.964: USFM check on the \fig markup.

5.0.964: All editing anomaly emails now display the book and chapter.

5.0.963: Keep the navigation history for two weeks.

5.0.963: A long press on the arrows for going back and going forward brings up the history menu.

5.0.962: Can left-align verse numbers in poetry in exports to OpenDocument.

5.0.961: Better spacing while inserting footnotes and cross references.

5.0.959: Support for the USFM fig markup in export to html and OpenDocument.

5.0.956: On going to another verse the Resources page always scrolls to the top position.

5.0.955: The Bible settings is now the location where to set the stylesheet for export.

5.0.955: All emails about a merge conflict now detail the book and chapter number.

5.0.954: Bigger fonts for the Bible text in the merge irregularity email.

5.0.954: Can enable or disable automatic daily check per Bible.

5.0.953: Clearer links for dismissing change notifications.

5.0.953: Fetches web-based Bibles from new GBS website.

5.0.953: Ctrl-F Find works again on Windows.

5.0.952: Can download exported file on Windows again.

5.0.950: Entry of workspace width defaults to using percents, not pixels.

5.0.949: Passage history buttons available in basic mode.

5.0.946: Html export with footnotes showing on hover.

5.0.946: Deletes an email that caused a crash while it was being sent.

5.0.945: Displays better text from StudyLight.

5.0.943: Better book interpretation for Ctrl-G fast passage switcher.

5.0.942: Displays footnotes of BibleGateway resources.

5.0.942: A client can display and cache a comparative resource.

5.0.942: Navigation through Ctrl-G now supports navigation history.

5.0.941: Move consultation note editors from NicEdit to Quill.

5.0.941: Faster mechanism to retrieve bulk content from SWORD books.

5.0.941: Can keep the resources cache for an extended period of time.

5.0.941: Show password button on login page.

5.0.940: The chapter editor is now live-updatable and no longer does a complete text reload.

5.0.940: Emailer already works when it can send email only, not receive yet.

5.0.940: Better focus handling of the verse editor within a workspace.

5.0.940: Bibledit editors accept text growth always regardless of the settings for the maximum allowed change in the editors.

5.0.940: Updated default values for several personal preferences making things easier for new users.

5.0.940: Abbott-Smith's Manual Greek Lexicon was added.

5.0.940: A comparative resource displays the difference between two resources.

5.0.939: New users can click an account confirmation link received by email.

5.0.939: Studylight resources display again.

5.0.939: Rich divider with text and link and colour.

5.0.939: Dividers in Resources are shorter in height.

5.0.937: Update mbedTLS to version 2.25.

5.0.937: The settings for Accordance are no longer visible in basic mode.

5.0.937: Minor updates tailored to an Indonesian version of Bibledit Cloud.

5.0.937: The USFM editor can load text in corrupted encoding and save it as valid UTF-8 Unicode.

5.0.936: Allows a space at the end of a line in the verse editor to exist multiple seconds before the editor trims it away.

5.0.935: Configure the https port of embedded webserver, or disable it.

5.0.934: Information about connecting to a GitHub repository was updated with an example of using a personal access token.

5.0.934: Can check on invalid UTF-8 text in a verse.

5.0.934: Exporting invalid UTF-8 text gets recorded in the journal.

5.0.933: Transpose and fix double spaces in footnotes and cross references.

5.0.932: Translate standardized focused verse from Paratext to local verse mapping.

5.0.932: Forwards Bible from editone to editone in a workspace.

5.0.929: Runs on Mac M1 with arm64 processor.

5.0.929: Optionally coloured note status labels.

5.0.928: Moves notes from the non-editable prefix to the very end in the verse editor.

5.0.927: Updates the non-editable parts of the verse editor.

5.0.927: Can exchange focused verse with Accordance on macOS.

5.0.926: If a book is not found in a Paratext folder, Bibledit lists the \id it looked for.

5.0.924: Updated embedded Chromium browser in Windows client.

5.0.924: Fixed: Formatting error after editing cross references and footnotes.

5.0.923: More robust handling of user-initiated deletion of critical footnote content in verse editor.

5.0.921: Verse editor no longer reloads text, but updates existing text instead.

5.0.920: Fix: Tapping a non-focused verse focuses that verse in the verse editor.

5.0.919: Bibledit Windows can receive the focused passage from Paratext.

5.0.918: Insert footnote template without the | separator(s).

5.0.918: Better sorting of consultation notes order.

5.0.918: Slightly larger arrows for going a verse back and a verse forward.

5.0.917: Fixed: Pasting text into the chapter editor causes loss of focus.

5.0.917: The "Text reloaded" message was disabled in the chapter editor.

5.0.917: Fixed: Note text after a new line in a footnote disappears.

5.0.916: A working beta version of live updatable verse editor.

5.0.914: The timed "Text reloaded" messages no longer pop up in the Bible editors.

5.0.913: The Quill editing library was updated to version 1.3.6.

5.0.912: Fixed: Bad network connection causes "Text reloaded" messages in Bible editors.

5.0.909: Fixed: Sends email "Check whether Bible text was saved" even if the changes consist of whitespace only.

5.0.908: A setting for using a dot or a colon as the verse separator for Bible notes entry.

5.0.907: Fixed: Chapter poller timing caused the "Text reloaded" message to appear at a chapter switch.

5.0.905: When navigating to another chapter the Bible editor no longer displays "Text reloaded".

5.0.904: Inserting a cross reference in the verse and chapter editors no longer adds a keyword.

5.0.904: Send/receive on a client no longer removes a space from new footnotes.

5.0.903: If a Bible editor has focus, and its text is reloaded, it will be read-only for some seconds.

5.0.903: If a Bible editor has focus, it shows a notification when the text is reloaded.

5.0.903: Entering a cross reference adds the reference, the keyword, and the cross reference text.

5.0.903: Entering a footnote adds the reference, the keyword, and the footnote text.

5.0.902: The merge anomaly email contains the passage.

5.0.901: Better layout of the merge anomaly email.

5.0.899: Fixed: Displays an alert about "text reloaded" while saving text in the verse editor.

5.0.898: Type Ctrl-G to enter the passage to focus through the keyboard.

5.0.897: The USFM editor positions the editing cursor after going to another chapter and verse.

5.0.894: AppStream data was added to the Linux client.

5.0.894: Fixed: Second USFM editor in a workspace does not move the focused verse into view.

5.0.893: Fixed: Focused verse in USFM editor jumps to next verse if there's a space at the end of the verse text.

5.0.893: The chapter editor honours the setting for the initial vertical position of the cursor.

5.0.892: Fixed: The second Bible editor at times was not read-only leading to unexpected caret jumps.

5.0.891: A translator can now edit the summary of a consultation note.

5.0.890: Setting to automatically assign a new consultation note to certain users.

5.0.889: When failing to send emails due to a login denied, remaining emails are not sent off.

5.0.888: Fix applying "vp" style in Bible editors.

5.0.887: Fixes BibleGateway resources display.

5.0.886: Puts a space between the note caller and the cross reference text following it in OpenDocument.

5.0.878: Cloud removes files older than 2 hours from file-based cache.

5.0.867: Can clear unsent emails.

5.0.823: Fixed: Pasting text in a footnote leads to a repeating \ft.

5.0.820: Clicking on a note at the bottom of the verse editor no longer focuses verse 0.

5.0.816: The Windows version is now built through Visual Studio 2019.

5.0.813: Only one Bible editor can be editable in a workspace.

5.0.812: The Bible editors given an alert on text reload preventing typing.

5.0.811: Fix broken filesystem on Android that led to instability of Bible editors.

5.0.809: While saving the verse editor merges its own text with what's already stored.

5.0.808: If a Bible editor saves text, and the text on disk differs from what the editor loaded, an email will be sent to the user.

5.0.807: If a Bible editor saves text, and it loaded less than two seconds ago, there's an alert.

5.0.807: If a Bible editor loads text, and it saved less than two seconds ago, there's an alert.

5.0.806: Update mbedTLS to 2.16.3.

5.0.805: Fixed: After syncing with Paratext, it may send data to the Cloud even if not changed.

5.0.804: Handle non-breaking space after chapter numbers in Paratext files.

5.0.803: Provide information to make people think twice before disconnecting from the Cloud.

5.0.802: The client can no longer send and receive Bibles every 20 seconds.

5.0.795: Fixed: Link to font uploader.

5.0.792: Fixed: Difficult to click link to add comment to note in workspace on Android.

5.0.791: Export to OpenDocument no longer has an extra space after the \vp markup.

5.0.790: Emails user about any Bibledit - Paratext merge anomalies.

5.0.790: More robust Bibledit - Paratext merging.

5.0.789: Properly handles the \vp published verse marker.

5.0.787: Exports bold Asian and complex scripts to OpenDocument properly.

5.0.786: A crash during public feedback was fixed

5.0.782: Fixed on Android: Error clear text not permitted

5.0.781: Web export can display a link for giving feedback by email.

5.0.780: Bible export to Web format has quick navigators for going to the previous and the next chapter.

5.0.777: Gives information about how to copy a stylesheet.

5.0.778: Can disable the text selection pop-up on Chrome OS.

5.0.777: Can move link to sort the change notifications to the top.

5.0.774: Can go to the passage of a change notification as soon as one has loaded.

5.0.772: Can sort the change notifications on author.

5.0.771: Android: Hides soft keyboard on tab switch.

5.0.770: Updated warnings in case of a delayed send/receive action.

5.0.765: The client can send and receive Bibles every 20 seconds.

5.0.761: Fixed: The author of a consultation note cannot edit the note content.

5.0.759: Fixed: Translator cannot change stylesheet.

5.0.758: Fixed: Client with member role cannot disconnect from the Cloud.

5.0.756: Links to an external multi Bible converter.

5.0.754: Fixed: Fails to display certain decomposed Hebrew characters on Linux.

5.0.753: Check on well formed embedded markers.

5.0.752: Updated typesetting information.

5.0.735: Hides email servers password.

5.0.728: Fixed: Suppresses NET Bible Warning Message.

5.0.699: Fixed: Escapes special XML characters in export to OpenDocument.

5.0.685: Translators can set the status of consultation notes.

5.0.684: Localized file names of Bible exports.

5.0.626: Localized Bible web export.

5.0.626: Exports footnotes and cross references to QuickBible .yet file.

5.0.622: Better hyperlinks in night mode.

5.0.622: Information about typesetting in Scribus.

5.0.588: Cloud send mail when client send Bible text while it has no write access.

5.0.583: Merge email: Now has spaces between the added and removed bits.

5.0.566: Remove YetToYes2.jar because of security reasons and reducing feature bloat.

5.0.566: Use whitespace and bold for more readable notes discussions.

5.0.565: Managers and administrators receive email when a new user signs up.

5.0.561: Upon connection to the Cloud, a client emails changes made in Bibles while it was disconnected from the Cloud.

5.0.554: Set the font name for export to OpenDocument.

5.0.554: The exported Bibles are accessible from one menu entry, rather than from two.

5.0.554: Clearer git repository status on git repository setup.

5.0.551: Clarify limited scope of typesetting capabilities.

5.0.535: Can show focused verse text during note creation.

5.0.534: Swipe Resources into another order.

5.0.518: Translators can export Bibles.

5.0.518: More robust consultation notes verse focusing.

5.0.517: Fix tool tips in the main menu.

5.0.517: Open Scriptures Hebrew Bible updated to version 1.4.

5.0.455: Secure transport layer update.

5.0.442: Removes USFM word level attributes from the visual exports.

5.0.439: Upon opening, the USFM editor scrolls the text cursor into view.

5.0.436: Improved plain text extraction from comments sent by email.

5.0.434: The Bible editors support the five special XML characters.

5.0.431: The Android app was updated to run on Chrome OS as well.

5.0.426: Fixed: OpenDocument export on Windows failed.

5.0.419: A translator can do some bulk operations on consultation notes.

5.0.418: Can display the Bible selector for the change notifications at the top.

5.0.415: Additional standard orders for the Bible books.

5.0.412: The OpenDocument export respects the custom order of books.

5.0.410: The notes display can show the note status.

5.0.408: Disable style setting for spanning columns.

5.0.407: Updated Open Scriptures Hebrew Bible.

5.0.406: Better defaults for footnotes formatting.

5.0.406: Improved check on French guillemets.

5.0.405: Can set the stylesheet per Bible.

5.0.403: Better internationalization of the Bible book names.

5.0.403: Support comments in .po files.

5.0.401: Improved stylesheet translation.

5.0.396: More natural order of the books in the exports.

5.0.380: Organize the change notification by Bible.

5.0.373: The list of consultation notes can display the Bible a note refers to.

5.0.372: Most emails about consultation notes include the name of the Bible in the subject line.

5.0.371: Checks on narrow non-breaking spaces at French punctuation.

5.0.371: Improved formatting of USFM closing markers.

5.0.370: Clears tens of thousands of change notifications easily.

5.0.366: Check on multiple « in French citation style.

5.0.364: Does not import XML files into a Bible.

5.0.363: Imports books with id INT.

5.0.363: The default style for markers va and vp is in superscript.

5.0.360: A USFM chapter label \cl in the text switches off drop caps output.

5.0.357: No longer notifies users about updated versions.

5.0.353: Select the type of space to add after a verse number in the Bible exports.

5.0.349: Fixed: Windows port does not create the sample Bible.

5.0.345: Fixed: RSS dates are one month ahead.

5.0.342: Fixed: Resources not showing properly.

5.0.339: Fixed: A consultant cannot see the translation in basic mode.

5.0.338: Gradually convert consultation notes to the new storage format.

5.0.330: Larger tabs on Android in basic mode.

5.0.308: Checks on the presence of the \toc[1-3] markers.

5.0.293: The tool to transfer cross references was removed as too complex.

5.0.292: Remove deprecated visual editors.

5.0.286: Improved installation documentation on Ubuntu.

5.0.286: Improved stability of downloading transfer tarballs.

5.0.286: On Linux it opens the Download folder after downloading a file, instead of opening that file.

5.0.282: Setting per Bible whether it sends the changes to the RSS feed.

5.0.279: On Chrome OS it can handle more notes before it fails to start up.

5.0.278: Fixed: On Windows the window can become too small to be visible.

5.0.274: Client also exports one installed resource per tarball.

5.0.272: Client no longer caches resources while the Cloud is being upgraded.

5.0.271: Loads all change notifications despite shaky network connection.

5.0.268: 'Please wait' feedback when first connecting to the Cloud.

5.0.236: Splits large emails with change notifications up into parts.

5.0.233: Better notes placement in tool for transferring notes.

5.0.233: Information about how to restore a Bible to an earlier stage via a git repository.

5.0.233: Feedback and progress during linking to a git repository.

5.0.233: The setup is now "updating" instead of "installing".

5.0.232: Tabbed mode is the default setting on relevant devices.

5.0.232: More practical order of the tabs in tabbed mode.

5.0.232: Fixed: Confusing Preferences > Maximum difference categories.

5.0.232: Displays an unlimited amount of change notifications at once.

5.0.228: The Cloud gives a warning when the emailer has not yet been set up.

5.0.226: Bible editors save changes after one second rather than after five.

5.0.225: Fixed: The setting for tabbed mode was visible in advanced mode.

5.0.225: Fixed: The screen with change notifications stays blank for longer than expected on low power devices.

5.0.220: Fixed: Android: Cannot return to the settings page when user navigated away.

5.0.206: Setting whether to send only, or send to and receive from git repository.

5.0.201: Can mail the sprint planning of a different month than the current one.

5.0.201: Mailed sprint planning includes the month.

5.0.201: Fixed: USFM chapter editor page unload fails to save unsaved text.

5.0.200: Debian and Ubuntu packages for Bibledit Cloud.

5.0.199: Fixed: Phillips NT won't display everywhere.

5.0.186: Check that JavaScript is enabled in the browser.

Cloud shell wrapper no longer can start multiple Cloud instances.

Check for no-break space at French punctuation.

Localized stylesheets.

Export the entire Bible to a single OpenDocument file.

Fixed: The iOS app has a blank screen right after app install.

Can enable a control for quickly editing the content of a consultation note.

Fixed: Menu Settings / Accounts was visible in disconnected client.

Tabbed view in Android and iOS app.

The USFM verse editor was removed.

Cmd-G: Search next in macOS app.

Offline transfer of consultation notes from one client to another.

Clients can create OpenDocument files.

The caret in the visual verse editor no longer jumps to the start of the verse on verse reload.

Can grant privilege to users to be able to delete consultation notes.

Fixed: User can remove all passages from a consultation note.

Can put the controls for dismissing change notifications at the top of the page.

Shows the number of your changes, plus the number of changes of the whole team.

Offline transfer of Bibles and resources from one client to another.

The resource viewer scrolls to the same position it had at the last page display.

The Bible editors no longer give a warning when the user has not sent to and received from the Cloud for a while.

Client cannot install an embedded resource.

Client keeps Bible books it created before connecting to the Cloud.

Client opens external website in the system browser.

File upload and download in the macOS app.

File upload and download in the Windows app.

Improved search and replace in texts with notes.

Improved parsing of emailed responses to consultation notes.

Localized output of the mechanical checks.

Ctrl/Cmd-F searches the interface.

User privilege whether to use advanced mode in the Cloud.

Fixed: Inaccurate focused verse when typing at the end of a verse in the USFM chapter editor.

Fixed: Logout link in client app.

Logs the browser's user agent.

The preferences for the Bible editors apply to the fast editor switcher only.

The menu in advanced mode always shows all four Bible editors.

Handle file download and print in Linux.

Fast styles cache.

The RSS feed includes the author in the description field also.

Setting on whether to include the authors in the RSS feed.

Workspaces in Edge fill the available space.

Partial support for \ca ...\ca* in USFM 3.

Version bump to 5.1 to make it higher than version 4.9 now in Debian and derivatives.

Improved support for USFM 3.0.

A client lists selected resources first in the resource settings.

Bibledit for Linux has a launcher.

Bibledit for Linux remembers window state.

Bibledit for Android can be installed on the SD card.

Flags a space at the end of a verse.

Fixed: Moving journal link on send/receive page.

Fixed: Linux app cannot undo and redo.

RSS feed contains date and time stamp.

Embedded styles work in the new visual editors.

Bibledit Linux has an integrated browser.

Hover over a link in a lexicon to see the definition.

Fixed: Cannot apply style to a partially selected word in the new visual editors on touch screens.

Additional versification systems.

Cannot apply a character style to a verse number.

Fixed: Clicking in poetry at times goes to verse 0.

Fixed: Clicking a note adds duplicate passage history.

More context sensitive paragraph capital and punctuation check.

The mechanical checks take better notice of the allowed punctuation.

Fixed: Crash on saving Hebrew in the visual verse editors.

Paste plain text in the new visual editors.

Gives feedback on operations on the workspaces.

Cannot remove the verse number in the visual verse editor.

New improved visual verse editor.

Improved network error reporting on Windows.

Improved indentation of the editable verse in the visual verse editor.

Clearer labels for left align and for right align.

The p style is left aligned by default rather than justified.

RSS feed for changes in the Bible texts.

Detect and mitigate brute force attacks.

Displays resources from BibleGateway.

Easier consistency check.

Safer limits on the cache size in the Cloud.

Static chapter preview pane.

Alt keybindings now work well in Firefox.

New visual chapter editor.

The embedded web view resizes when the main window gets resized in the macOS app.

Fixed: Client did not use installed SWORD resources.

Image resources spanning multiple verses do not reload.

Better caret positioning in the visual verse editor.

Webserver on Windows handles requests in parallel rather than in sequence.

USFM \b now works correctly in the visual verse editor.

The page for send and receive displays the status.

All Bible editors save much faster.

Fixed: Cloud may enter nearly infinite SWORD module installation loop.

Fixed: Client failed to cancel the last resource it was installing locally.

The Cloud no longer installs a SWORD module that is already installed.

Crashes in the SWORD library no longer take the whole Cloud instance down.

Statistics of the number of changes per day per user.

Menu item Personalize was renamed to Preferences.

Disable and enable user account.

Can query an external OpenLDAP server for authentication.

Any user with any role can change the language on a client.

Can enable menu item for Changes in basic mode.

In basic mode the main menu is visible by default.

Members and consultants and translators run in basic mode after first login.

The emails about updated software contains information about how to install it.

Selecting a passage immediately hides any open workspace menu rather than allowing it to slowly fade it out.

The menu for the USFM chapter editor always remains in view.

Support for IPv6.

Embedded SQLite library, no longer an external dependency.

Downloads notes in bulk for faster download.

The Windows port is now native and no longer uses Cygwin.

Fixed: Connection to the embedded webserver could fail in case of no network connection.

Keyboard shortcut Ctrl-\ to cycle through the available Bible editors.

The settings for the permitted change in the Bible editors adapt to the enabled editors.

Setting for whether to display the styles button in the visual Bible editors.

The menu labels for the editors adapt themselves to the available active Bible editors.

The visual verse editor has a preview of the chapter.

The controls of the visual verse editor are always at the top of the window.

The visual verse editor puts all non-editable notes at the bottom of the chapter.

The user can configure the active Bible editors.

The Bible editor in basic mode is now the visual verse editor.

Swipe a change notification to the right to expand it.

Fixed: Swipe operations no longer worked on touch screens.

The email about the merge irregularity clarifies the difference between what a client sent and what the Cloud now has.

The email about a merge irregularity indicates the chapter and book.

Checks on matching pairs.

Clearer information about the checks.

Fixed: USFM verse editor says "Don't know where to save" when switching to it within a workspace.

Fixed: USFM chapter editor says "Nothing to save" when switching to it within a workspace.

The visual chapter editor's menu always remains in view.

When a client does not get confirmation of Bible data it sent, it will resend it.

The Cloud confirms successful receipt of a Bible chapter.

Reordering books now works on touch screens.

Can paste text in an empty verse in the verse editor without the protection for maximum allowed difference kicking in.

Can dismiss matching change notifications for all users.

Resources can display related passages.

The caret position pointer was removed from the USFM chapter editor.

When Bible data sent by a client is merged with Bible data in the Cloud, a mail will be sent to the user with the details.

Email message when saving Bible text fails due to too many changes.

Warning when it has not received Bible data from the Cloud for some time.

Warning when pending changes in the Bible have not yet been sent to the Cloud for some time.

The Cloud logs all data from Bible updates received from clients and how it was merged into the Bible.

More specific emails about merge failures.

Improved merging of Bible texts.

If there's many change notifications, they expire sooner.

Clearer explanation of clearing the change notifications.

Simplified git repository linking.

The journal displays the date for an entry.

No longer reads Bible data from the git repository by default.

Fetching resources in series instead of in parallel, for better response on Android and iOS.

Cloud can notify users about software updates.

Suppress Gtk warnings on Linux.

Fast Bible editor switching.

Unicode support for export to e-Sword.

Morphology for Open Scriptures Hebrew Bible.

It is now easier to edit empty verses in the visual verse editor and in the visual chapter editor.

Fixed: Caret jumping in visual chapter editor.

Better automatic detection of the user-facing URL of a Cloud instance.

Can paste the search results straight into the passages of the consistency tool.

Fixed: Cannot add resources to the consistency tool.

Removes underscores from the name of new or copied Bibles.

On expansion of a change notification it displays the date that change was made.

Description of the six ways in which Bibledit records and displays changes in the Bible texts.

The nightly exports have only one record in the journal rather than many records.

Synchronizing with Paratext logs the changes in the journal.

Client mails Bible save irregularity to the user via the Cloud.

Client deletes only one Bible book or chapter during any sync operation.

Better checking on cookies.

Personal setting for disabling swipe navigation actions.

Fast resource installation on clients.

Fixed: Cannot login in basic mode.

Fixed: Applying character markup to two adjacent word removes space between them.

The Cloud logs changes in the Bible text in the journal.

Can expand long entries in the journal.

When the Cloud detects an irregularity while saving Bible data, it emails the user who caused it.

More robust internal volatile database.

Fixed: Setting write access for whole Testaments didn't update the privileges for the clients.

Fixed: Failure to import USFM Bible text from ZIP file.

Translators can now create and edit stylesheets.

The Chrome OS port automatically opens the system browser to display the app's interface.

Fixed: Cannot edit workspaces on Android and iOS.

Fixed: Cannot set font size for the menu.

Fixed: Server uninstalls a SWORD module too soon.

Fixed: Notification "Retrying" without reason in visual verse editor.

Fixed: Caret jumps between editors.

Fast Bible copy.

After editing a stylesheet the user can straightaway select it without having to go via the menu.

Can remove change notifications per user in bulk on clients.

Cannot remove the last administrator.

Cannot remove the last user.

Fixed: Android app often crashed when offline.

Updating the sprint planning no longer causes the page to scroll.

Fixed: "Connection refused" messages on Android.

The » after the verse disappears from the navigator upon reaching the end of the chapter.

Create and display user-defined resources.

Delete task from sprint planning.

The Cloud tracks sessions through cookies.

The Cloud sends emails immediately.

The top of the summary of an expanded change notifications scrolls to the top of the viewport.

Can install all displaying resources at once.

Admin setting to enforce secure communications for Bibledit clients.

Clients can communicate securely with the Cloud.

Admin setting to enforce secure communications for web browsers.

Secure (https) web server.

Fixed: Only a Manager can install resources on a client.

Manual configuration of user-facing URL in a configuration file.

On Chrome OS it can now be operated from the Chrome browser for improved convenience.

Set the author of a git commit to the user who generated the change.

Improved layout and visual styling.

Can Logout in basic mode.

The personalization settings depend on the role and privileges of the user.

Open Scriptures Hebrew Bible was updated to version 4.20 of the Westminster Leningrad Codex.

On Android and iOS it keeps the screen awake during send and receive.

Fixed: Spurious editor message saying it does not know where to save.

Can give write access to all books of a certain Testament in one go.

When there's no more verses to go to, the verse navigation buttons are inactive.

Improved transfer of change notifications to the clients.

Clearer filter for gbsdigitaal.nl

Creating a Bible removes the Sample Bible if it was there.

Creates a sample Bible much faster.

A manager or administrator can login on behalf of another user.

The username is visible in the Settings menu.

Fixed: Anyone signing up for Bibledit Cloud can view a Bible that is made viewable by all users.

Users can have privileges to access certain things above their role.

Any user with write privileges for Bible books can replace text in the Bible books.

Any user with read privileges for Bible books can search in the Bible books.

Any user can now have read or write privileges for Bible books.

New Bible access privileges storage mechanism.

The nightly indexing of the change notifications no longer builds the index from scratch.

On a public demo, web crawlers no longer import resources into Bibles at will.

Improved readability of the list of consultation notes.

The email with a consultation notification now has a link to go to the active workspace in the Cloud.

Viewing a note now also shows the passage navigator.

Fixed: The visual chapter editor continually kept scrolling the caret into view.

Fixed: The "Reformat" message in the visual chapter editor appears as a popup.

Notes by default select all notes within the current chapter.

Fixed: After clearing the journal, the page slowly scrolls half of the word "Menu" out of view.

Exported Bibles in html are now mobile-friendly.

A client never displays menu Settings / Collaboration.

Fixed: Clear journal on mobile device, switch screen off, switch screen on: the logbook gets cleared again.

Fixed: Caret jumps to unexpected locations in the USFM chapter editor.

Faster installation on mobile devices.

More informative installation phase.

Sending a workspace to all users does not work on a client, so the interface was updated to match that.

Fixed: Network error while updating available SWORD modules results in erasing the existing list of modules.

The Linux installer no longer runs 'su' on Ubuntu.

Fixed: After switching to another Bible in the public feedback, the previous Bible remains active.

Fixed: The public feedback always opens the first Bible.

Fixed: Consecutive spaces in the visual verse editor become visual non-breaking spaces.

Fixed: Restarting resource installation on a client takes a very long time.

Client can erase but not update the former USFM and offline resources.

A client downloading or erasing a resource erases its older storage location.

Clients can install USFM resources from the Cloud.

When a client does not find a USFM resource locally, it will now download it from the Cloud.

Clients no longer automatically download USFM and offline resources from the Cloud.

Setting notifications no longer scrolls the page to the top.

The four Bible text editors make save errors more obvious.

The change notifications online can display how many changes each user made.

Translators and higher roles can toggle the public visibility of a consultation note.

The tool tips in the main menu items show the sub menus.

Sorts the items in menu Tools and menu Settings.

Clearer menu layout.

Personal setting for keeping the main menu visible.

Fixed: Moving task from a completed sprint to the new sprint results in inconsistent interface state.

Fixed: Search engine crawlers kept adding resources to view on a public Bibledit demo.

Fixed: The Mac and Android port keep scrolling the caret into view preventing manual scroll of the visual chapter editor.

Swiping left / right goes to the next / previous chapter in the Bible chapter text editors.

Swiping left / right goes to the next / previous verse in the resources viewer and the Bible verse text editors.

Swipe a change notification away to delete it.

Tap and hold a change notification to expand or collapse it.

Fixed: The visual verse editor does not show the first paragraph format in the editable verse.

No mass updates on the notes in basic mode.

No bread crumbs in basic mode.

CSS3 media queries to better adapt to portrait and landscape orientation of mobile devices.

The exports menu is only displayed when someone is logged in.

The login and account pages are better suited to mobile touch devices.

Draggable lists improved look and consistency.

Personalization setting for maximum allowed percentage of changes in the Bible editors.

Easier entry of verse text in an empty verse through the USFM verse editor.

The progress bar keeps going during the initialization phase even if it takes long.

The consultation notes are sorted on passage.

Personalize the delay for fading out de workspace menu.

When the active workspace is deleted, it activates the first available workspace, rather than the default one.

Server prioritizes synchronizing Bibles, consultation notes, setting, and change notifications per client IP address.

Client prioritizes synchronizing Bibles, consultation notes, settings, and change notifications.

Can drag resources into another order on touch-enabled devices.

The visual verse editor no longer shows combined verses twice.

The back arrow in simple webviews is now a link for greater clarity as to what it is for.

Fixed: Unassign a user from note on a client: The Cloud assigns the user again.

Deals with SWORD Bibles and commentaries, leaving out other types of modules.

Installs requested SWORD modules one by one rather than all of them at once.

Cloud version depends on the SWORD library.

Better layout of the King James Bible lexicon.

Localized Bible book names.

The font setting is also applied to the non-editable portion of the visual verse editor.

Fixed: A fresh installation of Bibledit on Android takes so long that the progress bar goes past 100%.

If zip and unzip are not found, it refers to the Cloud for Bible export to OpenDocument.

Can copy a workspace to all other users.

Unified resource selector for consistency tool and resource printing.

The context of the mechanical checks respects the word boundaries.

Import Web resource or SWORD module into a Bible.

Separately check on correct number of books in a Bible, and on correct number of chapters and verses in existing books in a Bible.

Selecting web resources via categories "Original language texts", "Bibles", and "Commentaries".

Fixed: Cannot install SWORD resources on client.

Based on demand, automatically installs or uninstalls SWORD modules: Can no longer be done manually.

Alphabetical sort of the external resources.

If a client is not yet connected to a Cloud, it fetches resources from the Bibledit Cloud demo at bibledit.org.

Client can manually install a resource. It no longer does that automatically.

Fixed: The resource cache was damaged and has been reset: name.sqlite.sqlite.

Caches fetched raw web content for faster display of many external resources.

When the resources have context, the verses are marked with verse numbers for clarity.

When a resource maps to another verse, the resources displays the mapped verse number.

The changes notifications also notify of changes in formatting only, without changes in the actual text.

Fixed: No punctuation at end of verse: ?

Clearer wording of settings for sentence structure.

Can set the background color for styles that support font color.

Can set font size for the Bible editors.

Can set font size for the resources.

The workspace settings have pop-up help.

Copy a workspace to a new one.

The workspace organizer informs the user that loading the samples overwrites the current workspace.

Automatically creates default workspaces if a user has none.

In the workspace settings, the user can create all default workspaces.

Searches in footnotes also (re-index Bibles for this to work).

Manually indexing Bibles forces their indexes to be rebuilt from scratch.

Fixed: Crash when saving malformed USFM.

Bibles and Consultation Notes indexers complete their tasks even through multiple device reboots.

On Android, all lexicons work.

The visual chapter editor highlights a verse with combined verse numbers.

Fixed: Doing a search/replace in combined verses results in a growing chapter with the combined verse repeating.

The Bible search index is now stored in plain text files rather than in a database.

No longer depends on the ICU Unicode library.

No longer depends on the XML2 library.

Fixed: The exported Bibles cannot be publicly seen because Bibledit then asks to login.

Fixed: Consultation notes bulk updater.

Client deletes a limited amount of notes in one go, even if it thinks the server has deleted more of them.

The editor properly deals with \add and \xt, and similar, in footnotes.

Anyone can give public feedback on a Bible.

When a user is not logged in, it displays a Login menu item, rather than forwarding to the Login page.

Fixed: When user A on a client assigns a note to user B, then it ends up being assigned to user A instead of to B.

Before installing a SWORD module, the Cloud checks whether the module exists.

Disable App Transport Security in iOS 9 and OSX 10.11 El Capitan.

Fixed: When going to the visual editor, at times it shifts to verse 0 on its own.

The email with the checking results provides a link to the online results.

Linux installer script fetches the tarball with the highest version number.

Clearer order of the items of the morphology of the ETCBC4 Hebrew database, see the license section for the sources.

Menu reorganisation for easier operation by touch.

Home page offers link for opening last used workspace.

It sets an initial selection of resources.

Open Scripures Hebrew Lexicon displays the ketiv and the qere and has better word spacing.

Fixed: Missing bits from the KJV lexicon.

Can personalize the vertical scrolling position of the caret in the Bible editors.

No index on search database: Saving will be faster on low power devices.

User can set the relative font size of Hebrew and Greek resources.

Unmatched \f and \add markers in the visual editor are dealt with properly.

The demo displays an interesting workspace with selection of resources to the visitor.

Uses Hebrew font or Greek font in the original languages search.

Fixed: Visual editor at times trembles after focusing another verse.

Fixed: Applying style \add in the visual editor reloads the text in the editor.

Client links to the Cloud for more Bible operations.

Displays SWORD resources.

Setup progress bar.

Fixed: Unknown ID: \ide UTF-8

Splash screen says: "What would you like to do?"

Splash screen on startup.

Searching all Bibles and notes moved from the menu bar to the search pages.

List of books for giving read/write access to users is divided into four columns.

The Users page no longer limits the displayed users based on shared access to Bibles.

The Bible for which a book was created, or into which text was imported, becomes a user's default Bible.

Before linking a resource to the central cache, it checks whether the resource is available from that cache.

The Hebrew resources follow the Hebrew and Greek versification system.

Coloured bars can be inserted into the Resources as dividers.

The \ide has moved from the fallout document to the info document on export.

Fixed: When a client unsubscribes from a note from a change notification, it does not update the Cloud, so a sync action reverses the unsubscribe action.

All commentaries from studylight.org are available as external resources.

Fixed: In a workspace and shifting from viewing a NT-only project to viewing a full Bible project, Bibledit will not give the updated full table of books for the full Bible project.

A client does not run the nightly exports.

User is logged out after one year of inactivity.

Can dismiss entire categories of change notifications.

Users can opt in for receiving online change notifications of the individual contributors.

The page for the change notifications is clearer.

The "\v n" and the "\c n" in the USFM verse editor are now read-only.

Note callers are no longer blue and underlined.

Consultation note content edited on the client is sent to the Cloud also.

An author can edit his or her own part of the content of a consultation note.

Can import plain Bible text.

No longer imports text from BibleWorks because BibleWorks no longer exports it.

The Bible text editors no longer grab focus on their own.

Fixed: Bibledit Mac cannot print.

Fixed: Scrolling issue in visual chapter editor.

Disable App Nap on the Mac.

Fixed: Edit the Bible text, undo the edit: It sends an empty email to the subscribed users.

New resource: Open Scriptures Brown Driver Briggs lexicon.

New resource: Open Scriptures Hebrew text with Strong numbers.

New resource: Hebrew text of the VU University Amsterdam with glosses and morphology, see the license section for the sources.

Lexicon resources displays the Hebrew and Greek Bible text plus Strong definitions.

Better checks suppression handling.

Lexicon displays the English Bible text plus Strong definitions.

The page for synchronizing with a git repository links to that repository for the history.

Clearer information on page for synchronizing with a git repository.

Click in the visual verse editor to navigate to another verse.

More accurate positioning of the caret in the visual chapter editor.

Fixed: On USFM import it removes any + sign.

Fixed: On a client, one cannot assign a note to anyone except oneself.

Manually synchronize with Paratext.

Fixed: On client: Cannot assign a consultation note to somebody else.

Support for image resources that span a range of passages.

The Checks store no more than 10 of the same results.

Creates a default Bible with the text from the World English Bible.

Easier notes source editing.

Server implements HTTP caching for greater efficiency.

Can set the line height and the letter spacing for the four Bible editors.

Can set the font size for everything, and for the menu.

When no font name is given for a Bible on a client, it takes the font name entered in Bibledit Cloud.

The Android back button navigates back in the stack of viewed web pages.

Disables framekillers.

Clients can download extra fonts from the Cloud.

Smart nightly exports only export when the Bible text was updated.

Note checksum cache for faster note synchronization in case of thousands of notes.

One-click submission of Bible to the Bible Drop Box at https://freely-given.org/Software/BibleDropBox.

Improved caching of the NET Bible.

Central cache for external resources for clustered Bibledit Cloud installations.

Watchdog timers on all sync actions for increased robustness on bad networks.

Can set the width of the entire workspace.

Sprint planning is available in the Cloud only.

Can display context in the Resources.

Deletes note body after removing the note caller in the visual chapter editor.

Renumber notes after inserting or removing one in the visual chapter editor.

Support for combined verses like 10-12 and 12,13 and 10,11b.

Fixed: Loses any + sign when a client sends a Bible chapter to the cloud.

Improved transfer of workspaces between client and server.

Fixed: Server sends spurious messages about unable to merge client Bible data.

Can set write access to Bible per book.

Clickable arrows for navigating to the previous or the next verse.

The interface can be localized.

Automatically includes updated localizations from Launchpad crowd translation services.

Cloud removes unprocessed user and team changes older than five days to automatically recover from crashes due to limited memory.

Cloud removes downloadable revision notifications older than a month.

Client refers user notifications to the Cloud.

Client synchronizes the Change Notifications with the Cloud.

Fixed: The number of business day in a month on the sprint planning is incorrect.

The workspace can pass a Bible to any of the four editors.

Fixed: Marker not in stylesheet: \+add*.

The Bible editor indicates the focused verse after reload.

Fixed: On Windows, a burst of logs leads to an unclear journal.

Better animation of USFM chapter editor and a few more screens.

It no longer automatically fixes a missing note caller.

It completes a Bible save operation before starting another one.

Fixed: The editor changes the \xt to \xo.

Fixed: When the Bible editors save text, the + signs disappear.

When merging changes in a Bible chapter, prioritize changes from a Bible editor.

Watchdog timer on send/receive notes.

Fixed: Loses text following unescaped entities in a note subject when editing it.

Fixed: When going to another verse in the chapter editor, the caret is placed some characters away from the start of the verse.

Fixed: After entering details for the POP3 server, it only starts collecting email after restarting the server.

Fixed: When the Resources display a USFM resource or a Bible, and the USFM has italics as part of the word, there is a space in that word in the Resources.

Fixed: After applying the "ft" style to a footnote, it overwrites the \f ... \f*.

Fixed: A client keeps sending a chapter with multiple spaces to the server.

Fixed: On the Bibledit clients, replacing does not work in a Bible.

Fixed: The number of characters in drop caps in OpenDocument export is always two.

Fixed: The caret jumps around in the USFM chapter editor.

Support for USFM \b (Blank line).

Supports the major web browsers: Chrome, Firefox, Internet Explorer, Safari, Opera, Edge.

Integrated Paratext bridge for seamless collaboration with Paratext USFM data.

Release Bibledit for Linux.

Release Bibledit for iOS.

Release Bibledit for Android.

Release Bibledit for Mac.

Release Bibledit for Windows.

Release Bibledit Cloud.

The Manager role has access to all Bibles.

Bible editor for one verse in formatted view.

Many minor changes and fixes.

Complete port of Bibledit-Web.

Partial port of Bibledit-Web.